Bug 1496912 - Proxy configuration does not work in restricted IPV6 only environment
Summary: Proxy configuration does not work in restricted IPV6 only environment
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.2
Assignee: Bo Yao
QA Contact: Pavol Kotvan
URL:
Whiteboard: proxy
Depends On: 1475954
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-28 18:25 UTC by Satoe Imaishi
Modified: 2017-10-24 00:41 UTC (History)
13 users (show)

Fixed In Version: 5.8.2.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1475954
Environment:
Last Closed: 2017-10-24 00:41:44 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1500436 None NEW [Documentation] - Proxy configuration of Embedded Ansible 2019-01-09 14:27:21 UTC
Red Hat Product Errata RHSA-2017:3005 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-10-24 04:15:49 UTC

Internal Links: 1500436

Comment 2 CFME Bot 2017-09-29 13:26:20 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/0bd48e2171b2a3037232e6416f2e428a07041964

commit 0bd48e2171b2a3037232e6416f2e428a07041964
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Mon Sep 25 09:49:53 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Sep 29 09:21:47 2017 -0400

    Merge pull request #15762 from ailisp/proxy-not-work
    
    Proxy support for cloning ansible repo and add provider
    (cherry picked from commit 2526eb7300ee8e0ac0c44e4cb6950f095241fe53)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1496912

 config/settings.yml               |  8 ++++++++
 lib/embedded_ansible.rb           | 17 +++++++++++++++++
 spec/lib/embedded_ansible_spec.rb | 31 +++++++++++++++++++++++++++++++
 3 files changed, 56 insertions(+)

Comment 6 Nick Carboni 2017-10-09 17:42:36 UTC
With a new environment I was able to verify the fix using the following steps:

1. Deploy appliance
2. Configure hostname + additional networking (IPv6 specific), configure database
3. Created SSH tunnels for proxy
4. Configure cfme http proxy
5. Enable, Disable, Enable Embedded Ansible
6. Add repo (successfully).


The enable, disable, enable dance was needed because of a chicken/egg problem with the settings file that we need to add the proxy information to.

/etc/tower/settings.yml doesn't exist until the tower installation is up and running. This is the file we need to edit. Tower also requires a restart for the changes in the file to take effect. So the following timeline should explain why we need a restart:

1. Enable Embedded Ansible
 - This starts embedded ansible which creates the settings.yml file for the first time.
2. Restart Embedded Ansible (disable/enable)
 - Before start we see that settings.yml is present, so we set the proxy settings
 - Start embedded ansible

Given this, I think that the solution could use some improvement, but this should not hold up the release. Ideally I would like it if we could set the proxy settings in the inventory file when we first configure embedded ansible. That way there would be no need for the restart. Unfortunately I was not able to find any documentation on the tower side to indicate that this is possible.

I have created bug 1500034 to track improving this fix.

Comment 11 errata-xmlrpc 2017-10-24 00:41:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005


Note You need to log in before you can comment on or make changes to this bug.